uss = 30.4; 
u = 30.4+(30.4*0.1);
du = u-uss;

format short

t = [0,0.2,0.4,0.6,0.8,1.0,1,2,1.4,1.6,1.8,2.0,3.0,4.0,5.0];
h = [5.5,5.75,5.93,6.07,6.18,6.26,6.32,6.37,6.40,6.43,6.45,6.50,6.51,6.52];

yss = h(1);
dy = h(14)-yss;
ydev = h-yss;

Y = log((dy-ydev)/dy);

table = [t' h' ydev' Y'];
disp(' t h ydev Y')
disp(table)

p = 5;
t = t(~p);

Y(end)=[];

table=[t' Y'];
disp(' t Y')
disp(table)

P = polyfit(t,Y,1);

Slope = P(1);
TauP = -1/(Slope);